<div class="shopify-section">
	<article id="section-page" class="site-box-container container--fullscreen box--can-stick">
      <div id="splash-progress" class="splash-progress">
          <img src="https://cdn.shopify.com/s/files/1/0226/7276/9096/files/loading.gif?1955" alt="">
          <div class="loading-progress-bar">
              <div class="progressed_bar" style="width: 0%;" id="progress"></div>
          </div>
      </div>
	</article>
</div>

<style>
  	#loading-progress-wrapper {
      position: fixed;
      width: 100%;
      background-color: #000;
      height: 1350px;
      top: 0px;
      z-index: 2147483648;
    }
  
    @-webkit-keyframes expand{
        0%{ height: 1350px}
        100%{height: 0}
    }
  
    .splash-progress {
        position: fixed;
        top: calc(50% - 77.5px);
        left: calc(50% - 64px);
    }
  
    .loading-progress-bar {
        width: 100%;
        height: 12.5px;
        background-color: #161516;
    }
    .progressed_bar {
        height: 12.5px;
        background-color: #c7f8c8;
    }
  
  	#splash-progress img {
      margin-bottom: 10px; 
    }
</style>
<script>
    var obj = document.getElementById("progress");
    var val = 0;
    var time = setInterval(() => {
        val ++;
        if (val == 100) {
      		var splash = document.getElementById('loading-progress-wrapper');
      
      		splash.setAttribute('style', 'animation: expand 500ms;');
			clearInterval(time);
            setTimeout(() => {
              splash.setAttribute('style', 'display: none');
            },500);
  			setTimeout(() => {
				var pro_img = document.getElementById('splash-progress');
              	pro_img.setAttribute('style', 'display: none;');
            },200);
        }
        obj.setAttribute("style", "width:"+val+"%");
    }, 30);
</script>

